<template>
  <div>
    <v-card class="text-center" min-width="250" height="350">
      <div class="lime accent-1">LIBRO</div>
      <v-divider></v-divider>
      <!-- titulo -->
      <h2
        class="text-center text-no-wrap overflow-hidden mt-2 purple lighten-5"
        height="100"
      >
        {{ libro.title }}
      </h2>
      <!-- Autor -->
      <h6
        class="text-center text-no-wrap overflow-hidden mt-1 mb-1 grey--text"
        height="100"
      >
        {{ libro.author }}
      </h6>
      <!-- precio -->

      <v-chip class="mb-2" color="green" text-color="white" stronger>
        <v-avatar left>
          <v-icon>mdi-cash</v-icon>
        </v-avatar>
        ${{ libro.price }}
      </v-chip>

      <!-- imagen -->
      <v-img :src="libro.img" height="210px">
        <!-- boton de comprar en la imagen -->
        <v-card-actions>
          <v-fab-transition class="mb-10">
            <v-btn
              color="blue mb-10"
              dark
              bottom
              right
              absolute
              fab
              @click="agregarLibro(libro)"
            >
              <v-icon>mdi-cart</v-icon>
            </v-btn>
          </v-fab-transition>
        </v-card-actions>
      </v-img>
    </v-card>
  </div>
</template>

<script>
export default {
  name: "Book",
  props: {
    libro: Object,
  },
  methods: {
    agregarLibro(libro) {
      this.$emit("sumoLibro", libro);
    },
  },
};
</script>
<style scoped></style>
